<?
	$rootpath = '';
	require_once 'includes/start.php';
	require_once 'includes/function.php';
	require_once 'includes/header1.php';
	$realtime=time();
	if($level==0){
   header('Location: index.php');
   }
   	$rasa=check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_GET['rasa'])))))));
	switch ($act) {
	default:
	if($game==0) {
	if(!$_POST)
	{
	if($rasa==''){
		echo '
<title>Выбор расы</title>';
echo '
	<meta name="keywords" content="Астрономика, онлайн игра, астра, astronomika, космическая мобильная игра">';
echo '
</head>
<body>';
echo '
<body oncontextmenu="return false;">
<body onselectstart="return false"  oncopy="return false"><body onload="digitalWatch()">
	<style type="text/css">{-moz-user-select: none;-webkit-user-select: none;-ms-user-select: none;-o-user-select: none;user-select: none;}</style>';
		echo '
<center>
	<div class="ch">
		Чтобы выбрать расу, нажмите на ее название!
	</div>
</center>
	<div class="shit">
		<img src="images/race/people.png" alt="image" /> <a href="?rasa=1"><span class='.crasa(1).'><b><ins>Люди</ins></b></span></a></div><div class="shit1">- Углеродная форма жизни обладает высоким потенциалом в тактике ведения боя и обороне. Интенсивность добычи металла увеличена.</div><div class="shit2"><img src="images/race/cyborgs.png" alt="image" /> <a href="?rasa=2"><span class='.crasa(2).'><b><ins>Киборги</ins></b></span></a></div><div class="shit3">- Благодаря мощным процессорам и высокоразвитому исскуственному интеллекту, Киборги способны добывать больше Минералов, чем остальные.</div><div class="shit4"><img src="images/race/organ.png" alt="image" /> <a href="?rasa=3"><span class='.crasa(3).'><b><ins>Органики</ins></b></span></a></div><div class="shit5">- Самые древнейшие существа во вселенной, которые быстро приспосабливаются к новым условиям обитания. Благодаря уникальному токсичному абсорбенту, их тело может выдержать экстремальные давления вплоть до технического вакуума, что ускоряет добычу Гелия в несколько раз.
	</div>
<center>
	<div class="blok3">
		Внимательно подумайте перед тем как выбрать ту или иную расу, вы не сможете изменить свой выбор!
	</div>
</center>';

		}else

		{

		echo '
<title>Выбор планеты</title>';
echo '
	<meta name="keywords" content="Астрономика, онлайн игра, астра, astronomika, космическая мобильная игра">';
echo '
</head>
<body>';
echo '
<body oncontextmenu="return false;">
<body onselectstart="return false"  oncopy="return false"><body onload="digitalWatch()">
	<style type="text/css">{-moz-user-select: none;-webkit-user-select: none;-ms-user-select: none;-o-user-select: none;user-select: none;}</style>';
		if($_GET['rasa'] == 1)

							{
									
	echo "
	<div class=\"shit\">
		<img src=\"images/race/people.png\" alt=\"x\"/><span class=".crasa(1)."> <ins><b>Люди</b></ins></span><a href=\"/game.php?const=".rand(50,800)."\"> [<font color=\"#FFFFFF\"><b>изменить</b></font>]</a>
	</div>";

	echo "
	<div class=\"shit1\">
		- Углеродная форма жизни обладает высоким потенциалом в тактике ведения боя и обороне. Интенсивность добычи металла увеличена.
	</div>";
									

		}else

		if($_GET['rasa'] == 2)

							{
								
	echo "
	<div class=\"shit2\">
		<img src=\"images/race/cyborgs.png\" alt=\"x\"/><font color=\"#ECE274\"><span class=".crasa(2)."> <ins><b>Киборги</b></ins></span></font>
		<a href=\"/game.php?const=".rand(50,800)."\"> [<font color=\"#FFFFFF\"><b>изменить</b></font>]</a>
	</div>";

	echo "
	<div class=\"shit3\"> 
		- Благодаря мощным процессорам и высокоразвитому исскуственному интеллекту, Киборги способны добывать больше Минералов, чем остальные.
	</div>";
									

		}else

		if($_GET['rasa'] == 3)

							{
									
	echo "
	<div class=\"shit4\">
		<img src=\"images/race/organ.png\" alt=\"x\"/><font color=\"#ECE274\"><span class=".crasa(3)."> <ins><b>Органики</b></ins></span></font><a href=\"/game.php?const=".rand(50,800)."\"> [<font color=\"#FFFFFF\"><b>изменить</b></font>]</a>
	</div>";
	
	echo "
	<div class=\"shit5\"> 
	    - Самые древнейшие существа во вселенной, которые быстро приспосабливаются к новым условиям обитания. Благодаря уникальному токсичному абсорбенту, их тело может выдержать экстремальные давления вплоть до технического вакуума, что ускоряет добычу Гелия в несколько раз.
	</div>";
									

							}

	echo '
<form action="?rasa='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($rasa))))))).'" method="post">';

	echo '
	<img src="images/save_planets.jpg">';
	echo '
	<div class="razd"></div>';
	echo '
	<div class="blok3">
		<b>Название Планеты:</b><br/><font color="#FF0000">Введите минимум 5 символов</font><br/><input type="text" name="planet" value="" /><input type="submit" name="submit" value="Заселить планету"/>
	</div>
</form>';
									
							}
	}

	else

	{
		$planet = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(antilink($_POST['planet']))))))));
$error = false;
if( trim($_POST['planet']) =='')

{
  
  $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Название Планеты</b></ins></font><br/>';
    
}

if(!empty($_POST['planet']) && (mb_strlen($_POST['planet']) > 20 || mb_strlen($_POST['planet']) < 5 ||mb_strlen($_POST['planet']) > 20))

{

	$error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>Название Планеты</b></ins></font>  минимум 5 символов или букв<br/>';
  
}

if(!empty($_POST['planet']) && (preg_match('/[^a-zA-Z0-9]+/s',$_POST['planet'])))
  
   
{
    
	$error = $error. 'Поле: <font color="#4EEE94"><ins><b>Название Планеты</b></ins></font> содержит запрещенные символы<br/>';
    
}	

if ($rasa < 1 OR $rasa > 3)

{

	$error = $error . 'Вы пытаетесь выбрать не существующую расу<br />';

}			

if (empty($error))

		{
			$req1 = mysql_query("select * from `planet` where `name`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($planet))))))) . "';");
        	if (mysql_num_rows($req1) != 0)
			{
				$error = 'Такая планета уже существует!<br/>';
			}			
		}
		
		if (empty($error))
		{
		if($xnum==0 AND $ynum==0){
		mysql_query("INSERT INTO `sun` SET `name`='Копрулу-".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($lsun)))))))."', `time`='".(time()+259200)."';");
		mysql_query("INSERT INTO `sector_loc` SET `loc`=7, `y`=0, `x`=0;");
		mysql_query("UPDATE `setting` SET `val` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($lsun)))))))."' WHERE `key` = 'lsun';");
		}
		
		
		
		if($xnum>=48){
		mysql_query("INSERT INTO `sun` SET `name`='Копрулу-".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($lsun)))))))."', `time`='".(time()+259200)."';");
		mysql_query("INSERT INTO `sector_loc` SET `loc`=7, `y`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($ynum+6)))))))."', `x`=0;");
		mysql_query("UPDATE `setting` SET `val` = '0' WHERE `key` = 'xnum';");
		mysql_query("UPDATE `setting` SET `val` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($ynum+6)))))))."' WHERE `key` = 'ynum';");
		mysql_query("UPDATE `setting` SET `val` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($lsun+1)))))))."' WHERE `key` = 'lsun';");
		$lsun=$lsun+1;
		}
		if($xnum<48)mysql_query("UPDATE `setting` SET `val` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($xnum+6)))))))."' WHERE `key` = 'xnum';");
		$nk=rand(1,43);
		$ynew=rand(2,4);
		$count = mysql_result(mysql_query("SELECT MAX(id) FROM `planet`;"), 0);
		$count=$count+1;
		if($rasa==1)$npeople=1000;
		if($rasa==2)$npeople=750;
		if($rasa==3)$npeople=1250;
		mysql_query("INSERT INTO `planet` SET `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($count)))))))."', `fr_id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($fr_id)))))))."', `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."', `rasa`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($rasa)))))))."', `sun`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($lsun)))))))."', `peo`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($npeople)))))))."', `name`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($planet))))))) . "', `type`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($nk)))))))."', `y`=$ynum+'".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($ynew)))))))."', `x`=6+$xnum, `nalog`='" . time() . "';");
		mysql_query("INSERT INTO `sector_loc` SET `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."', `fr_id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($fr_id)))))))."', `loc`=2, `type`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($nk)))))))."', `planet`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($count)))))))."', `y`=$ynum+'".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($ynew)))))))."', `x`=6+$xnum, `time`='".(time()+172800)."';");
		mysql_query("INSERT INTO `building` SET `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."', `planet_id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($count)))))))."';");
		mysql_query("INSERT INTO `science` SET `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."', `planet_id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($count)))))))."';");
		mysql_query("INSERT INTO `units` SET `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."', `rasa`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($rasa)))))))."';");
		if($rasa==1)mysql_query("INSERT INTO `planet_units` SET `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."', `planet`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($count)))))))."', `u1`=750, `u8`=120;");
		if($rasa==2)mysql_query("INSERT INTO `planet_units` SET `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."', `planet`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($count)))))))."', `u1`=500, `u8`=80;");
		if($rasa==3)mysql_query("INSERT INTO `planet_units` SET `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."', `planet`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($count)))))))."', `u1`=1000, `u8`=160;");
	mysql_query("UPDATE `users` SET
			`rasa`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($rasa))))))) . "',
			`game`=\"1\",
			`quest`=\"1\",
			`planet`=\"1\",
			`min`=\"500000\",
			`gas`=\"500000\",
			`metall`=\"500000\",
			`kred`=\"15000\",
			`prov`=\"10000\",
			`water`=\"500000\",
			`hero`=\"\",
			`lvl_hero`=\"1\",
			`tmarat`=$realtime+43200,
			`newtime`='" . time() . "' WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."';");
	require_once 'includes/new.php';

			header("Location: index.php");
		}
		else
		{
			echo "<title>Ошибка</title>";
			echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
			echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
			div('' . $error,'blok3');
			div('<a href="./"><b>Назад</b></a>','blok');
		}
	}
	} else {
	echo '<div class="top">Вход в игру</div>';
	echo '<div class="cont">Добро пожаловать в игру, '.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($login))))))).'!</div>';
	echo '<div class="cont"><a href="index.php">Войти в игру</a></div>';
	}
	break;

	}
	require_once 'includes/footer.php';
?>